- Original project had Redux store for managing products and favorites.
- Redux was replaced with context.
- Use custom Redux-like sotre, built with custom hook to manage store (using only standard react hooks)